Skip to main content
`Ctrl`+`K`

# PetscDS

PETSc object that manages a discrete system, which is a set of discretizations + continuum equations from a `PetscWeakForm`

## Synopsis

    typedef struct _p_PetscDS *PetscDS;

## See Also

`PetscDSCreate()`, `PetscDSSetType()`, `PetscDSType`, `PetscWeakForm`, `PetscFECreate()`, `PetscFVCreate()`

## Level

intermediate

## Location

include/petscdstypes.h

## Examples

src/snes/tutorials/ex17.c
src/snes/tutorials/ex20.c
src/dm/impls/plex/tutorials/ex4f90.F90
src/snes/tutorials/ex24.c
src/snes/tutorials/ex23.c
src/dm/impls/plex/tutorials/ex8.c
src/snes/tutorials/ex13.c
src/snes/tutorials/ex11.c
src/snes/tutorials/ex12.c
src/snes/tutorials/ex64.c

## Implementations

_p_PetscDS in include/petsc/private/petscdsimpl.h
PetscDS_Basic in include/petsc/private/petscdsimpl.h

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages